# DEMedicalPlanDocument class

German medical plan barcode parsed document

Inheritance
  - Object
  - BarcodeFormattedResult
  - DEMedicalPlanDocument
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

DEMedicalPlanDocument(String? guid, int? currentPage, int? totalNumberOfPages, String? documentVersionNumber, String? patchVersionNumber, String? languageCountryCode, DEMedicalPlanPatientInformation? patient, DEMedicalPlanDoctorInformation? doctor, List<DEMedicalPlanStandardSubheading>? subheadings)
DEMedicalPlanDocument.fromJson(Map<String, dynamic> json)
  factory

## Properties

currentPage ↔ int?
  Current page index
  read / write
doctor ↔ DEMedicalPlanDoctorInformation?
  Doctor information
  read / write
documentFormat ↔ String
  read / write inherited
documentVersionNumber ↔ String?
  Document version
  read / write
guid ↔ String?
  Document ID
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
languageCountryCode ↔ String?
  Language and country code
  read / write
patchVersionNumber ↔ String?
  Patch version
  read / write
patient ↔ DEMedicalPlanPatientInformation?
  Patient information
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
subheadings ↔ List<DEMedicalPlanStandardSubheading>?
  Treatment subheadings
  read / write
totalNumberOfPages ↔ int?
  Total number of pages
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_FORMAT → const String
  `'DEMedicalPlan'`